### Hierarchy

- MoneroConnectionsClient

## Index

### Constructors

- constructor

### Properties

- client_
- credentials_
- hostname_
- methodDescriptorAddConnection
- methodDescriptorCheckConnection
- methodDescriptorCheckConnections
- methodDescriptorGetBestAvailableConnection
- methodDescriptorGetConnection
- methodDescriptorGetConnections
- methodDescriptorRemoveConnection
- methodDescriptorSetAutoSwitch
- methodDescriptorSetConnection
- methodDescriptorStartCheckingConnections
- methodDescriptorStopCheckingConnections
- options_

### Methods

- addConnection
- checkConnection
- checkConnections
- getBestAvailableConnection
- getConnection
- getConnections
- removeConnection
- setAutoSwitch
- setConnection
- startCheckingConnections
- stopCheckingConnections

## Constructors

### constructor

- new MoneroConnectionsClient(hostname: string, credentials?: null | {}, options?: null | {}): MoneroConnectionsClient

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1012

  #### Parameters

  - ##### hostname: string

  - ##### Optional credentials: null | {}

  - ##### Optional options: null | {}

  #### Returns MoneroConnectionsClient

## Properties

### client_

client_: AbstractClientBase

- Defined in src/protobuf/GrpcServiceClientPb.ts:1007

### credentials_

credentials_: null | {}

- Defined in src/protobuf/GrpcServiceClientPb.ts:1009

### hostname_

hostname_: string

- Defined in src/protobuf/GrpcServiceClientPb.ts:1008

### methodDescriptorAddConnection

methodDescriptorAddConnection: MethodDescriptor < AddConnectionRequest , AddConnectionReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1025

### methodDescriptorCheckConnection

methodDescriptorCheckConnection: MethodDescriptor < CheckConnectionRequest , CheckConnectionReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1240

### methodDescriptorCheckConnections

methodDescriptorCheckConnections: MethodDescriptor < CheckConnectionsRequest , CheckConnectionsReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1283

### methodDescriptorGetBestAvailableConnection

methodDescriptorGetBestAvailableConnection: MethodDescriptor < GetBestAvailableConnectionRequest , GetBestAvailableConnectionReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1412

### methodDescriptorGetConnection

methodDescriptorGetConnection: MethodDescriptor < GetConnectionRequest , GetConnectionReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1111

### methodDescriptorGetConnections

methodDescriptorGetConnections: MethodDescriptor < GetConnectionsRequest , GetConnectionsReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1154

### methodDescriptorRemoveConnection

methodDescriptorRemoveConnection: MethodDescriptor < RemoveConnectionRequest , RemoveConnectionReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1068

### methodDescriptorSetAutoSwitch

methodDescriptorSetAutoSwitch: MethodDescriptor < SetAutoSwitchRequest , SetAutoSwitchReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1455

### methodDescriptorSetConnection

methodDescriptorSetConnection: MethodDescriptor < SetConnectionRequest , SetConnectionReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1197

### methodDescriptorStartCheckingConnections

methodDescriptorStartCheckingConnections: MethodDescriptor < StartCheckingConnectionsRequest , StartCheckingConnectionsReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1326

### methodDescriptorStopCheckingConnections

methodDescriptorStopCheckingConnections: MethodDescriptor < StopCheckingConnectionsRequest , StopCheckingConnectionsReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1369

### options_

options_: null | {}

- Defined in src/protobuf/GrpcServiceClientPb.ts:1010

## Methods

### addConnection

- addConnection(request: AddConnectionRequest, metadata: null | Metadata ): Promise< AddConnectionReply >
- addConnection(request: AddConnectionRequest, metadata: null | Metadata, callback: (err: RpcError, response: AddConnectionReply ) => void): ClientReadableStream < AddConnectionReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1036

  #### Parameters

  - ##### request: AddConnectionRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< AddConnectionReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1040

  #### Parameters

  - ##### request: AddConnectionRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: AddConnectionReply ) => void

    - - (err: RpcError, response: AddConnectionReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: AddConnectionReply

        #### Returns void

  #### Returns ClientReadableStream < AddConnectionReply >

### checkConnection

- checkConnection(request: CheckConnectionRequest, metadata: null | Metadata ): Promise< CheckConnectionReply >
- checkConnection(request: CheckConnectionRequest, metadata: null | Metadata, callback: (err: RpcError, response: CheckConnectionReply ) => void): ClientReadableStream < CheckConnectionReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1251

  #### Parameters

  - ##### request: CheckConnectionRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< CheckConnectionReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1255

  #### Parameters

  - ##### request: CheckConnectionRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: CheckConnectionReply ) => void

    - - (err: RpcError, response: CheckConnectionReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: CheckConnectionReply

        #### Returns void

  #### Returns ClientReadableStream < CheckConnectionReply >

### checkConnections

- checkConnections(request: CheckConnectionsRequest, metadata: null | Metadata ): Promise< CheckConnectionsReply >
- checkConnections(request: CheckConnectionsRequest, metadata: null | Metadata, callback: (err: RpcError, response: CheckConnectionsReply ) => void): ClientReadableStream < CheckConnectionsReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1294

  #### Parameters

  - ##### request: CheckConnectionsRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< CheckConnectionsReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1298

  #### Parameters

  - ##### request: CheckConnectionsRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: CheckConnectionsReply ) => void

    - - (err: RpcError, response: CheckConnectionsReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: CheckConnectionsReply

        #### Returns void

  #### Returns ClientReadableStream < CheckConnectionsReply >

### getBestAvailableConnection

- getBestAvailableConnection(request: GetBestAvailableConnectionRequest, metadata: null | Metadata ): Promise< GetBestAvailableConnectionReply >
- getBestAvailableConnection(request: GetBestAvailableConnectionRequest, metadata: null | Metadata, callback: (err: RpcError, response: GetBestAvailableConnectionReply ) => void): ClientReadableStream < GetBestAvailableConnectionReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1423

  #### Parameters

  - ##### request: GetBestAvailableConnectionRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< GetBestAvailableConnectionReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1427

  #### Parameters

  - ##### request: GetBestAvailableConnectionRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: GetBestAvailableConnectionReply ) => void

    - - (err: RpcError, response: GetBestAvailableConnectionReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetBestAvailableConnectionReply

        #### Returns void

  #### Returns ClientReadableStream < GetBestAvailableConnectionReply >

### getConnection

- getConnection(request: GetConnectionRequest, metadata: null | Metadata ): Promise< GetConnectionReply >
- getConnection(request: GetConnectionRequest, metadata: null | Metadata, callback: (err: RpcError, response: GetConnectionReply ) => void): ClientReadableStream < GetConnectionReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1122

  #### Parameters

  - ##### request: GetConnectionRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< GetConnectionReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1126

  #### Parameters

  - ##### request: GetConnectionRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: GetConnectionReply ) => void

    - - (err: RpcError, response: GetConnectionReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetConnectionReply

        #### Returns void

  #### Returns ClientReadableStream < GetConnectionReply >

### getConnections

- getConnections(request: GetConnectionsRequest, metadata: null | Metadata ): Promise< GetConnectionsReply >
- getConnections(request: GetConnectionsRequest, metadata: null | Metadata, callback: (err: RpcError, response: GetConnectionsReply ) => void): ClientReadableStream < GetConnectionsReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1165

  #### Parameters

  - ##### request: GetConnectionsRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< GetConnectionsReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1169

  #### Parameters

  - ##### request: GetConnectionsRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: GetConnectionsReply ) => void

    - - (err: RpcError, response: GetConnectionsReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetConnectionsReply

        #### Returns void

  #### Returns ClientReadableStream < GetConnectionsReply >

### removeConnection

- removeConnection(request: RemoveConnectionRequest, metadata: null | Metadata ): Promise< RemoveConnectionReply >
- removeConnection(request: RemoveConnectionRequest, metadata: null | Metadata, callback: (err: RpcError, response: RemoveConnectionReply ) => void): ClientReadableStream < RemoveConnectionReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1079

  #### Parameters

  - ##### request: RemoveConnectionRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< RemoveConnectionReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1083

  #### Parameters

  - ##### request: RemoveConnectionRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: RemoveConnectionReply ) => void

    - - (err: RpcError, response: RemoveConnectionReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: RemoveConnectionReply

        #### Returns void

  #### Returns ClientReadableStream < RemoveConnectionReply >

### setAutoSwitch

- setAutoSwitch(request: SetAutoSwitchRequest, metadata: null | Metadata ): Promise< SetAutoSwitchReply >
- setAutoSwitch(request: SetAutoSwitchRequest, metadata: null | Metadata, callback: (err: RpcError, response: SetAutoSwitchReply ) => void): ClientReadableStream < SetAutoSwitchReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1466

  #### Parameters

  - ##### request: SetAutoSwitchRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< SetAutoSwitchReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1470

  #### Parameters

  - ##### request: SetAutoSwitchRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: SetAutoSwitchReply ) => void

    - - (err: RpcError, response: SetAutoSwitchReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: SetAutoSwitchReply

        #### Returns void

  #### Returns ClientReadableStream < SetAutoSwitchReply >

### setConnection

- setConnection(request: SetConnectionRequest, metadata: null | Metadata ): Promise< SetConnectionReply >
- setConnection(request: SetConnectionRequest, metadata: null | Metadata, callback: (err: RpcError, response: SetConnectionReply ) => void): ClientReadableStream < SetConnectionReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1208

  #### Parameters

  - ##### request: SetConnectionRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< SetConnectionReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1212

  #### Parameters

  - ##### request: SetConnectionRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: SetConnectionReply ) => void

    - - (err: RpcError, response: SetConnectionReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: SetConnectionReply

        #### Returns void

  #### Returns ClientReadableStream < SetConnectionReply >

### startCheckingConnections

- startCheckingConnections(request: StartCheckingConnectionsRequest, metadata: null | Metadata ): Promise< StartCheckingConnectionsReply >
- startCheckingConnections(request: StartCheckingConnectionsRequest, metadata: null | Metadata, callback: (err: RpcError, response: StartCheckingConnectionsReply ) => void): ClientReadableStream < StartCheckingConnectionsReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1337

  #### Parameters

  - ##### request: StartCheckingConnectionsRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< StartCheckingConnectionsReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1341

  #### Parameters

  - ##### request: StartCheckingConnectionsRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: StartCheckingConnectionsReply ) => void

    - - (err: RpcError, response: StartCheckingConnectionsReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: StartCheckingConnectionsReply

        #### Returns void

  #### Returns ClientReadableStream < StartCheckingConnectionsReply >

### stopCheckingConnections

- stopCheckingConnections(request: StopCheckingConnectionsRequest, metadata: null | Metadata ): Promise< StopCheckingConnectionsReply >
- stopCheckingConnections(request: StopCheckingConnectionsRequest, metadata: null | Metadata, callback: (err: RpcError, response: StopCheckingConnectionsReply ) => void): ClientReadableStream < StopCheckingConnectionsReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1380

  #### Parameters

  - ##### request: StopCheckingConnectionsRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< StopCheckingConnectionsReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1384

  #### Parameters

  - ##### request: StopCheckingConnectionsRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: StopCheckingConnectionsReply ) => void

    - - (err: RpcError, response: StopCheckingConnectionsReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: StopCheckingConnectionsReply

        #### Returns void

  #### Returns ClientReadableStream < StopCheckingConnectionsReply >

Generated using TypeDoc